❖ MatchMove Banking API Specifications

Sections

Theme switcher

Get Quotes

Header Parameters

X-Auth-User-IDstring Required

The matchmove issued user_id for which the request is being made

X-Auth-User-IPstring

The IP using which the actor is making the request

X-Auth-Device-IDstring

The unique id of the device using which the actor is making the request

X-Auth-User-Agentstring

The user agent of the device using which the actor is making the request

X-Auth-Actorstring Required

The actor on behalf of whom the API request is being performed

Path Parameters

program_codestring Required

Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.

idstring Required

Unique identifier of the remittance quote. Returned in the id field from POST /{program_code}/v2/users/wallets/payouts/remittances/quotes. This identifier is valid for both user-scoped (/v2/users/...) and admin-scoped (/v2/oauth/...) paths.

Response

200
Object

OK

Response Attributes

idstring

Quote ID

expirystring

Quote expiry in program timezone format

delivery_timestring

Expected human readable time for the transaction to complete

Enum values:
INSTANTNEAR REAL-TIMESAME DAYNEXT DAY2 DAYS
statusstring

Status of the quote

Enum values:
INITIATEDFAILEDCONFIRMEDEXPIREDCONSUMEDCANCELLED
typestring

Represents the type of the quote. Helps to identify whether conversion happen at user currency or the recipient currency.

Default value
FORWARD
Enum values:
FORWARDREVERSE
source_countrystring

Represents the source country of the quote. Represented in ISO 3166 format.

source_currencystring

Represents the source currency of quote. Represented in ISO 4217 format.

destination_countrystring

Represents the destination country of the quote. Represented in ISO 3166 format.

destination_currencystring

Destination currency of the quote. Represents in ISO 4217 format.

recipient_typestring

Represents the type of the recipient

Enum values:
INDIVIDUALBUSINESS
receiving_institution_typestring

Represents the type of receiving institution

Enum values:
BANKCARDSCASH_PICKUPMOBILE_WALLET
userobject
charged_amountobject

Represents the amount charged to user

converted_amountobject

Represents the amount which is sent to the recipient after fee deduction

recipient_amountobject

Represents the amount the recipient would receive

feesobject

This object represents fee applied at different level. Segregated at level of program, user and net fee applied for a quote.

fx_rateobject

Represents details of conversion rate provided to user

created_bystring

Represents the ID of user who raised the quote request

created_atstring

Represents the creation date and time of the quote

201
Object

Created

Response Attributes

idstring

Quote ID

expirystring

Quote expiry in program timezone format

delivery_timestring

Expected human readable time for the transaction to complete

Enum values:
INSTANTNEAR REAL-TIMESAME DAYNEXT DAY2 DAYS
statusstring

Status of the quote

Enum values:
INITIATEDFAILEDCONFIRMEDEXPIREDCONSUMEDCANCELLED
typestring

Represents the type of the quote. Helps to identify whether conversion happen at user currency or the recipient currency.

Default value
FORWARD
Enum values:
FORWARDREVERSE
source_countrystring

Represents the source country of the quote. Represented in ISO 3166 format.

source_currencystring

Represents the source currency of quote. Represented in ISO 4217 format.

destination_countrystring

Represents the destination country of the quote. Represented in ISO 3166 format.

destination_currencystring

Destination currency of the quote. Represents in ISO 4217 format.

recipient_typestring

Represents the type of the recipient

Enum values:
INDIVIDUALBUSINESS
receiving_institution_typestring

Represents the type of receiving institution

Enum values:
BANKCARDSCASH_PICKUPMOBILE_WALLET
userobject
charged_amountobject

Represents the amount charged to user

converted_amountobject

Represents the amount which is sent to the recipient after fee deduction

recipient_amountobject

Represents the amount the recipient would receive

feesobject

This object represents fee applied at different level. Segregated at level of program, user and net fee applied for a quote.

fx_rateobject

Represents details of conversion rate provided to user

created_bystring

Represents the ID of user who raised the quote request

created_atstring

Represents the creation date and time of the quote

400
Object

Bad Request

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

401
Object

Unauthorized

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

403
Object

Forbidden

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

404
Object

Not Found

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

500
Object

Internal Server Error

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

502
Object

Bad Gateway

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

503
Object

Service Unavailable

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

504
Object

Gateway Timeout

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

Was this section helpful?

GET

/

Select
1

Response

Was this section helpful?